Devuan bug report logs - #483
eudev: eudev sometimes fails to generate initial hotplug events

Package: eudev; Reported by: David Kuehling <dvdkhlng@posteo.de>; Done: dak@devuan.org; Maintainer for eudev is Devuan Dev Team <devuan-dev@lists.dyne.org>.

Message received at 483@bugs.devuan.org:


Received: (at 483) by bugs.devuan.org; 4 Nov 2021 10:40:03 +0000
Return-Path: <chrizacc@alice.it>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Thu, 04 Nov 2021 10:40:03 +0000 (UTC)
Received: from smtp218t-alice.alice.it (smtp218t.alice.it [82.57.200.123])
	by vm6.ganeti.dyne.org (Postfix) with ESMTP id AC0E5F608CD
	for <483@bugs.devuan.org>; Thu,  4 Nov 2021 11:31:02 +0100 (CET)
X-RazorGate-Vade: gggruggvucftvghtrhhoucdtuddrgedvuddrtdeggddufecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfvgffngfevqffokffvtefnkfetpdfqfgfvnecuuegrihhlohhuthemuceftddunecunecujfgurheptggggffuvffhffhrsehtqhdttddttdejnecuhfhrohhmpedfofhishhsohhurhhiucfnuchothhtohdfuceotghhrhhiiigrtggtsegrlhhitggvrdhitheqnecuggftrfgrthhtvghrnhepheetffevgfelfeetueehjeelvddtvdegffetieefhffhjefhudeljeetgeelgfffnecuffhomhgrihhnpehlohhtthgvrhihuhhsrgdrtghomhenucfkphepfeejrdduvddtrddvudefrddvieenucevlhhushhtvghrufhiiigvpeefleelnecurfgrrhgrmhephhgvlhhopegfshgvrhdqrfevrdefrdhhohhmvgdpihhnvghtpeefjedruddvtddrvddufedrvdeipdhmrghilhhfrhhomhepoegthhhrihiirggttgesrghlihgtvgdrihhtqedprhgtphhtthhopeeogeekfeessghughhsrdguvghvuhgrnhdrohhrgheq
X-RazorGate-Vade-Verdict: clean 0
X-RazorGate-Vade-Classification: clean
Received: from User-PC.3.home (37.120.213.26) by smtp218t-alice.alice.it (5.8.604.04) (authenticated as chrizacc@alice.it)
        id 61781EFF04B0C006 for 483@bugs.devuan.org; Thu, 4 Nov 2021 11:31:01 +0100
Message-ID: <61781EFF04B0C006@smtp218t-alice.alice.it> (added by postmaster@alice.it)
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Description: Mail message body
Subject: W i n n e r
To: 483@bugs.devuan.org
From: "Missouri L otto" <chrizacc@alice.it>
Date: Thu, 04 Nov 2021 23:30:45 +0000
Reply-To: <lotteryusa_agen@daum. net>
Sensitivity: Personal
X-Spam-Status: No, score=3.8 required=5.0 tests=DATE_IN_FUTURE_12_24,
	FREEMAIL_FROM,GAPPY_SUBJECT,LOTS_OF_MONEY,RCVD_IN_DNSWL_NONE,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Level: ***
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

A t t n :.483@bugs.devuan.org,

We'd like to inform you that your email address 483@bugs.devuan.org has won=
 Five million
nine h u n d r e d thousand( USD5.9 M i l l i o n ) on the latest MO Lotter=
y online
lottery games in Missouri, USA.

This lottery was organized and played with the automatic online voting
system "FAI". Fortunately, your email address has been selected as one
of the free online lottery winners.

For further confirmations, please visit the La Loterie Mo website
below to confirm your lottery date and number. Upon confirmation of
the lottery in which you were selected as one of the lucky winners of
the year. You can then contact the Mo Lottery Agent / R e p r e s e n t a t=
 i v e
in UNITED STATES, to c l a i m your lottery.

please visit the website below to confirm your lottery (h t t p s://www.lot=
teryusa.com/missouri/lotto/year)

Draw date. Wednesday, Sep 01, 2021
W i n n i n g number: 2 12 18 21 29 32
F I L E R E F NO: ILP/HW -7506172/20
R E F E R E N C E NO: 7506172/20
B A T C H NO: 0564909/19
In order to receive your lottery, it is recommended that you contact our
representative, D R. JOHN MORR of UNITED STATES OF AMERICA,
immediately to officially approve your lottery.

If you didn=E2=80=99t get our confirmation, please help to check your SPAM =
folder first. Because it often happens when we reply to the first E-mail. T=
hanks!

Acknowledgement sent to <lotteryusa_agen@daum. net>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Message received at 483-done@bugs.devuan.org:


Received: (at 483-done) by bugs.devuan.org; 6 Nov 2020 16:40:02 +0000
Return-Path: <dak@devuan.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Fri, 06 Nov 2020 16:40:02 +0000 (UTC)
Received: from mail.devuan.dev (mail.devuan.dev [54.36.142.182])
	by vm6.ganeti.dyne.org (Postfix) with ESMTP id 153F1F609DC
	for <483-done@bugs.devuan.org>; Fri,  6 Nov 2020 17:36:42 +0100 (CET)
Received: from dak.ganeti1.devuan.org (dak.devuan.org [192.168.97.90])
	by mail.devuan.dev (Postfix) with SMTP id 8FBA63B5DB1
	for <483-done@bugs.devuan.org>; Fri,  6 Nov 2020 16:37:26 +0000 (UTC)
Received: (nullmailer pid 8582 invoked by uid 107);
	Fri, 06 Nov 2020 16:38:02 -0000
From: dak@devuan.org
To: 483-done@bugs.devuan.org
Subject: #483: fixed in src:eudev version 3.2.9-8
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit
Date: Fri, 06 Nov 2020 16:38:02 +0000
Message-Id: <1604680682.203644.8581.nullmailer@dak.ganeti1.devuan.org>
X-Spam-Status: No, score=0.0 required=5.0 tests=T_SPF_HELO_PERMERROR
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org


Version: 3.2.9-8

Source package eudev (3.2.9-8) added to Devuan suite unstable.

This closes bug report 483.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 04 Nov 2020 16:48:24 +0100
Source: eudev
Binary: eudev libeudev1 libeudev-dev eudev-udeb libeudev1-udeb
Architecture: source
Version: 3.2.9-8
Distribution: unstable
Urgency: medium
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Changed-By: Svante Signell <svante.signell@gmail.com>
Description:
 eudev      - /dev/ and hotplug management daemon
 eudev-udeb - /dev/ and hotplug management daemon (udeb)
 libeudev-dev - libeudev development files
 libeudev1  - libeudev shared library
 libeudev1-udeb - libeudev shared library (udeb)
Closes: 483
Changes:
 eudev (3.2.9-8) unstable; urgency=medium
 .
   * debian/eudev.init:
     - Fix startup with slow boot media like DVD and USB.
       Thanks Trek <trek00@inbox.ru> for the patch (Closes: #483)
   * debian/control: Fix Vcs-Git and Vcs-Browser entries.
   * debian/watch: Use tags to find latest release.
   * debian/rules:
     - Use autogen.sh directly and remove target autoreconf.
     - Use DEB_BUILD_MAINT_OPTIONS = hardening=+all instead of CFLAGS etc.
   * debian/changelog: Fix spelling error in 3.2.7-2.
   * .gitignore: Add emacs backup files *~.
 .
   * Fixed lintian warning/info entries:
 .
   * debian/patches: man_udev.xml.patch
     Fixes: eudev: spelling-error-in-manpage
 .
   * debian/control:
     Fixes: eudev source: rules-requires-root-missing,
       out-of-date-standards-version (no changes),
       binary-control-field-duplicates-source field "section" in package eudev,
       binary-control-field-duplicates-source field "priority" in package
       libeudev1 libeudev-dev eudev-udeb libeudev1-udeb,
       xc-package-type-in-debian-control
 .
   * debian/rules:
     Fixes: eudev: hardening-no-bindnow
 .
   * debian/tests: New directory. Contents: control, udev
     Fixes: eudev source: testsuite-autopkgtest-missing
 .
   * debian/copyright:
     Fixes: eudev source: insecure-copyright-format-uri,
       wildcard-matches-nothing-in-dep5-copyright src/core/securebits.h,
       unused-file-paragraph-in-dep5-copyright
 .
   * debian/compat: Remove
   * debian/control: Replace build dependency on
     debhelper (>=10) with debhelper-compat (=12)
     Fixes: package-uses-old-debhelper-compat-version,
       extended-description-is-probably-too-short: eudev, libeudev, libeudev-dev
 .
   * debian/eudev.pre{inst,rm},eudev.post{inst,rm}
     Fixes: eudev: maintainer-script-without-set-e: pre{inst,rm}, post{inst,rm}
 .
   * debian/libeudev1.symbols: Don't include a libeudev1.symbols file to avoid:
     symbols-file-contains-current-version-with-debian-revision.
     Instead use an override for the warning: no-symbols-control-file.
 .
   * debian/source/lintian-overrides:
     eudev source: source-contains-data-from-ieee-data-oui-db
     eudev source: upstream-metadata-file-is-missing
     eudev source: debian-watch-does-not-check-gpg-signature
 .
   * debian/eudev.lintian-overrides:
     eudev: appstream-metadata-missing-modalias-provide
     eudev: spelling-error-in-binary
     eudev: improbable-bug-number-in-closes
     eudev: conflicts-with-version udev (<< 1:3.2.9+devuan4)
     # Unknown why
     eudev: hardening-no-fortify-functions lib/udev/mtd_probe
 .
   * debian/libeudev1.lintian-overrides:
     libeudev1: package-name-doesnt-match-sonames
     libeudev1: improbable-bug-number-in-closes
     libeudev1: conflicts-with-version libudev1 (<< 1:3.2.9+devuan4)
     libeudev1: no-symbols-control-file lib/x86_64-linux-gnu/libudev.so.1.6.3
 .
   * debian/libeudev-dev.lintian-overrides:
     libeudev-dev: improbable-bug-number-in-closes
     libeudev-dev: conflicts-with-version libudev-dev (<< 1:3.2.9+devuan4)
 .
   * eudev-udeb.lintian-overrides:
     # None of these overrides work: Why?
     eudev-udeb udeb: hardening-no-fortify-functions lib/udev/mtd_probe
     eudev-udeb udeb: spelling-error-in-binary bin/udevadm ressize resize
     eudev-udeb udeb: spelling-error-in-binary sbin/udevd ressize resize
     eudev-udeb udeb: debug-package-should-be-named-dbg usr/lib/debug/.dwz/
 .
   * libeudev1-udeb.lintian-overrides:
    # This override does not work: Why?
    libeudev1-udeb udeb: package-name-doesnt-match-sonames libudev1
Checksums-Sha1:
 4ca7ee690bb592afbd64d08953132463a3b3ea7d 2345 eudev_3.2.9-8.dsc
 d65744b42d59d5227fb85eb08596dd82efc6daf1 62164 eudev_3.2.9-8.debian.tar.xz
 1714353a61e6ca1b2b5d4126c08448d4101c2e19 3398 eudev_3.2.9-8_source.buildinfo
Checksums-Sha256:
 1b0077b1ce82b96a8ab914babed2bbffd697b6ff9ce5255789ae3260b3505fa9 2345 eudev_3.2.9-8.dsc
 d555e267c2543e9aa4323321bded4a904c11c5c7f392bc247fd7efe2dac69e21 62164 eudev_3.2.9-8.debian.tar.xz
 4e3a6fce281146eda3c84a75766cc42b86b12c43566382e03379dead1979755b 3398 eudev_3.2.9-8_source.buildinfo
Files:
 42a1a80e3c22e3919c9816f52e9892ee 2345 admin optional eudev_3.2.9-8.dsc
 b8a33e81ca64d2087591fc96f9740e65 62164 admin optional eudev_3.2.9-8.debian.tar.xz
 e6c4054498bb40bc94776ae4eb9960dd 3398 admin optional eudev_3.2.9-8_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAl+leHoACgkQlFMhJFQZ
Ivu+FQf/aBpjytxX+C6RWffqiHHtHJAw0MxTMpfcLZe3uadr8tP28hdC9DV+KsP9
qaovq3zJJjeJzqlzt9uDQfNN3HbboTCXDi8cBLqZ4JzEUvVUPsFnaoikRJN+n6Fa
it58BZ1kkLuYyMnypXLbExGIDRgyNkTDkZFAA7CozziWh5CvaAGQfdZNDzPcQCku
OOdtiDDThcnpxxZjk0iG6s77fu+HWHUYbH6o34P6AIq/MvpgAwTZltpeIwcdi8ET
q8HgOuLlVT0yBf0UK9JHS/NxS5af5JkePC7U8Rd4EpexkiVmEmXBkLz6hhWxftTq
4ixDJKKqF+00CHwswGd9fqJAophUOA==
=V3Q+
-----END PGP SIGNATURE-----

Notification sent to David Kuehling <dvdkhlng@posteo.de>:
bug acknowledged by developer. Full text available.
Reply sent to dak@devuan.org:
You have taken responsibility. Full text available.

Message received at 483@bugs.devuan.org:


Received: (at 483) by bugs.devuan.org; 12 Aug 2020 19:10:11 +0000
Return-Path: <trek00@inbox.ru>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Wed, 12 Aug 2020 19:10:11 +0000 (UTC)
Received: from smtp44.i.mail.ru (smtp44.i.mail.ru [94.100.177.104])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 2DC7EF60C4D
	for <483@bugs.devuan.org>; Wed, 12 Aug 2020 21:02:02 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (1024-bit key; unprotected) header.d=inbox.ru header.i=@inbox.ru header.b="KtWGo64A";
	dkim-atps=neutral
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=inbox.ru; s=mail3;
	h=Content-Type:MIME-Version:Message-ID:Subject:To:From:Date:From:Subject:Content-Type:Content-Transfer-Encoding:To:Cc; bh=n9PYNeA6BEaxPjrsay/9gUp0ms0irrRze/lak3A7M5Q=;
	b=KtWGo64AC99E0sGnHCwymUpM/dyKVmUcqeTnnJ3nf1yt2+36+2n86ZkOdr26in15VjxXLnH8J5xmVmmNccIOKlXruA00VaPQw+2kyKgjF+2XOSQusLhiZxutMUZpIYEam+EYhQESqmMaSw2B801iFnnCMZLYGIBDBgvPH/IcXV8=;
Received: by smtp44.i.mail.ru with esmtpa (envelope-from <trek00@inbox.ru>)
	id 1k5w0e-00030i-HV
	for 483@bugs.devuan.org; Wed, 12 Aug 2020 22:02:00 +0300
Date: Wed, 12 Aug 2020 21:01:58 +0200
From: Trek <trek00@inbox.ru>
To: 483@bugs.devuan.org
Subject: Re: [devuan-dev] bug#483: eudev: eudev sometimes fails to generate
   initial hotplug events
Message-ID: <20200812210158.7dc36b3b@enterprise>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_//QSljRy9e6Afzk0DUM9=C+."
Authentication-Results: smtp44.i.mail.ru; auth=pass smtp.auth=trek00@inbox.ru smtp.mailfrom=trek00@inbox.ru
X-7564579A: B8F34718100C35BD
X-77F55803: 4F1203BC0FB41BD96D681ABE1524340C7A2D2E560D520B777E57BF10440391B7182A05F5380850402DA9FA6ABBFC2D3A3B49CEE9EA7090A4F150C13537888D19EBDDF66894FD6E34
X-7FA49CB5: FF5795518A3D127A4AD6D5ED66289B5278DA827A17800CE797F4D2EDC29AFAF7EA1F7E6F0F101C67BD4B6F7A4D31EC0BCC500DACC3FED6E28638F802B75D45FF8AA50765F7900637D4360D888D8F9BE48638F802B75D45FF5571747095F342E8C7A0BC55FA0FE5FC27C526DDA7E7B73A40E9D669BD455873DE70BD2B3573BC63389733CBF5DBD5E913377AFFFEAFD269A417C69337E82CC2CC7F00164DA146DAFE8445B8C89999725571747095F342E8C26CFBAC0749D213D2E47CDBA5A9658378DA827A17800CE7328B01A8D746D8839FA2833FD35BB23DF004C90652538430B1E7B660A538F4BF7B076A6E789B0E975F5C1EE8F4F765FCC7375337376151A03AA81AA40904B5D9CF19DD082D7633A0446828A5085A663B3AA81AA40904B5D98AA50765F7900637126974E050CD86F0D81D268191BDAD3D18080C068C56568E156CCFE7AF13BCA413377AFFFEAFD2690E30A4C9C8E338DA7445E81AE98559A293EC92FD9297F6715571747095F342E857739F23D657EF2BD5E8D9A59859A8B68260F186A712CA60089D37D7C0E48F6C5571747095F342E857739F23D657EF2B6825BDBE14D8E702ABEDDA51113D120200306258E7E6ABB4E4A6367B16DE6309
X-C8649E89: 884857D53B075F5BB3DC5BF617192D2602D04AEB90D075B69DD2D5069BAD5824FFD52EE17BAC88A3
X-D57D3AED: 3ZO7eAau8CL7WIMRKs4sN3D3tLDjz0dLbV79QFUyzQ2Ujvy7cMT6pYYqY16iZVKkSc3dCLJ7zSJH7+u4VD18S7Vl4ZUrpaVfd2+vE6kuoey4m4VkSEu530nj6fImhcD4MUrOEAnl0W826KZ9Q+tr5ycPtXkTV4k65bRjmOUUP8cvGozZ33TWg5HZplvhhXbhDGzqmQDTd6OAevLeAnq3Ra9uf7zvY2zzsIhlcp/Y7m53TZgf2aB4JOg4gkr2biojjvZasJqu/caMqD5MPQntsw==
X-Mailru-Sender: 3A58916676D730AD951B46615AB6744798B1127660CF0262C00A11ECAD0F7324F971DEFEF195D0D250C8671BB29F155466FEC6BF5C9C28D92FDFAC6E1957D35C4FEB34E26CA8F10167EA787935ED9F1B
X-Mras: Ok
X-Spam-Status: No, score=-0.7 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,SPF_HELO_PASS,SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

--MP_//QSljRy9e6Afzk0DUM9=C+.
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

sorry to write again, but my previous patch could work only if the
interpreter is set to /bin/sh without the -e option

if you don't want to remove the -e option, then this patch should
applied instead

ciao!

--MP_//QSljRy9e6Afzk0DUM9=C+.
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=eudev-daemon-e.patch

diff -urN a/eudev.init b/eudev.init
--- a/eudev.init	2020-08-11 16:55:13.809023204 +0200
+++ b/eudev.init	2020-08-12 20:59:47.963533922 +0200
@@ -11,10 +11,8 @@
 PATH="/lib/udev:/sbin:/bin"
 NAME="udevd"
 DAEMON="/sbin/udevd"
+DAEMON_ARGS="--daemon"
 DESC="hot-plug events dispatcher"
-PIDFILE="/run/udevd.pid"
-CTRLFILE="/run/udev/control"
-OMITDIR="/run/sendsigs.omit.d"
 
 # we need to unmount /dev/pts/ and remount it later over the devtmpfs
 unmount_devpts() {
@@ -166,11 +164,8 @@
     [ -x /sbin/restorecon ] && /sbin/restorecon -R /dev
 
     log_daemon_msg "Starting $DESC" "$NAME"
-    if start-stop-daemon --start --name $NAME --user root --quiet \
-	--pidfile $PIDFILE --exec $DAEMON --background --make-pidfile; then
-	# prevents udevd to be killed by sendsigs (see #261 & DEBIAN #791944)
-      mkdir -p $OMITDIR
-      ln -sf $PIDFILE $OMITDIR/$NAME
+    if start-stop-daemon --start --name $NAME --exec $DAEMON --quiet \
+	-- $DAEMON_ARGS; then
       log_end_msg $?
     else
 	log_warning_msg $?
@@ -205,10 +200,7 @@
 
     stop)
     log_daemon_msg "Stopping $DESC" "$NAME"
-    if start-stop-daemon --stop --name $NAME --user root --quiet \
-			 --pidfile $PIDFILE --remove-pidfile --oknodo --retry 5; then
-	# prevents cryptsetup/dmsetup hangs ( see #261 & Debian bug #791944 )
-      rm -f $CTRLFILE
+    if start-stop-daemon --stop --name $NAME --quiet --oknodo --retry 5; then
       log_end_msg $?
     else
       log_end_msg $?
@@ -217,21 +209,15 @@
 
     restart)
     log_daemon_msg "Stopping $DESC" "$NAME"
-    if start-stop-daemon --stop --name $NAME --user root --quiet \
-      --pidfile $PIDFILE --remove-pidfile --oknodo --retry 5; then
-      # prevents cryptsetup/dmsetup hangs ( see #261 & Debian bug #791944 )
-      rm -f $CTRLFILE
+    if start-stop-daemon --stop --name $NAME --quiet --oknodo --retry 5; then
       log_end_msg $?
     else
       log_end_msg $? || true
     fi
 
     log_daemon_msg "Starting $DESC" "$NAME"
-    if start-stop-daemon --start --name $NAME --user root --quiet \
-	--pidfile $PIDFILE --exec $DAEMON --background --make-pidfile; then
-      # prevents udevd to be killed by sendsigs (see #261 & DEBIAN #791944)
-      mkdir -p $OMITDIR
-      ln -sf $PIDFILE $OMITDIR/$NAME
+    if start-stop-daemon --start --name $NAME --exec $DAEMON --quiet \
+      -- $DAEMON_ARGS; then
       log_end_msg $?
     else
       log_end_msg $?

--MP_//QSljRy9e6Afzk0DUM9=C+.--

Acknowledgement sent to Trek <trek00@inbox.ru>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Message received at 483@bugs.devuan.org:


Received: (at 483) by bugs.devuan.org; 11 Aug 2020 15:30:18 +0000
Return-Path: <trek00@inbox.ru>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Tue, 11 Aug 2020 15:30:18 +0000 (UTC)
Received: from smtp63.i.mail.ru (smtp63.i.mail.ru [217.69.128.43])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id D169FF608D2
	for <483@bugs.devuan.org>; Tue, 11 Aug 2020 17:24:26 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (1024-bit key; unprotected) header.d=inbox.ru header.i=@inbox.ru header.b="F5xqTPih";
	dkim-atps=neutral
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=inbox.ru; s=mail3;
	h=Content-Type:MIME-Version:Message-ID:Subject:To:From:Date:From:Subject:Content-Type:Content-Transfer-Encoding:To:Cc; bh=5M8EmQ+qspZfPKhnSyp338j+CnscKKof6FN/ElrAeLk=;
	b=F5xqTPihFp9732TW56LB2UmuT7r8Bmz6f2XF1vKsNXSDWuG+oIEDLMCRdqkCNM+8Rv21ImSjqfAzyKUnL8aY9AXeRNC0RtQa3+YVjWaBCWzR97DgcmSxm2/LBn1K45nmidP5wPDd6wXqUlnGyL7mpiBYpj2sTZXrnJQHhwzkq/Y=;
Received: by smtp63.i.mail.ru with esmtpa (envelope-from <trek00@inbox.ru>)
	id 1k5W8X-0004ex-4S
	for 483@bugs.devuan.org; Tue, 11 Aug 2020 18:24:25 +0300
Date: Tue, 11 Aug 2020 17:24:22 +0200
From: Trek <trek00@inbox.ru>
To: 483@bugs.devuan.org
Subject: Re: [devuan-dev] bug#483: eudev: eudev sometimes fails to generate
  initial hotplug events
Message-ID: <20200811172422.0e253add@enterprise>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_/Kdol6.zbho79WC3M2h.vPFC"
Authentication-Results: smtp63.i.mail.ru; auth=pass smtp.auth=trek00@inbox.ru smtp.mailfrom=trek00@inbox.ru
X-7564579A: B8F34718100C35BD
X-77F55803: 4F1203BC0FB41BD96D681ABE1524340C657F70FEFE419B1C3372737BD0336470182A05F5380850404A3D881127F54EFFF519D64F8ABB8D419E0997DBC7B543B343EEA9A2159A04F8
X-7FA49CB5: FF5795518A3D127A4AD6D5ED66289B5278DA827A17800CE77603ADE015AF816DEA1F7E6F0F101C67BD4B6F7A4D31EC0BCC500DACC3FED6E28638F802B75D45FF8AA50765F790063764BF1E09E94CC6278638F802B75D45FF5571747095F342E8C7A0BC55FA0FE5FCCC1A0C5EC4A9A4DDF8D0A94C9EA5C2D0B9D0F3A21AD167A7389733CBF5DBD5E913377AFFFEAFD269A417C69337E82CC2CC7F00164DA146DAFE8445B8C89999725571747095F342E8C26CFBAC0749D213D2E47CDBA5A9658378DA827A17800CE767883B903EA3BAEA9FA2833FD35BB23DF004C906525384309383FD4D963104D47B076A6E789B0E975F5C1EE8F4F765FCD589CD98505BAB463AA81AA40904B5D9CF19DD082D7633A0446828A5085A663B3AA81AA40904B5D98AA50765F7900637C94C7BCFFD32FA5BD81D268191BDAD3D18080C068C56568E156CCFE7AF13BCA413377AFFFEAFD2690E30A4C9C8E338DAB4DCD4FA34C64C2C93EC92FD9297F6715571747095F342E857739F23D657EF2BD5E8D9A59859A8B6A7BC22BB3CDCF9FF089D37D7C0E48F6C5571747095F342E857739F23D657EF2B6825BDBE14D8E702ABEDDA51113D120200306258E7E6ABB4E4A6367B16DE6309
X-C8649E89: 7430E34FE55BCF6456B25C46D37F46A13F3AC97F74F21AD32E287CC915AA78AB58BFAB92B8E52E5C
X-D57D3AED: 3ZO7eAau8CL7WIMRKs4sN3D3tLDjz0dLbV79QFUyzQ2Ujvy7cMT6pYYqY16iZVKkSc3dCLJ7zSJH7+u4VD18S7Vl4ZUrpaVfd2+vE6kuoey4m4VkSEu530nj6fImhcD4MUrOEAnl0W826KZ9Q+tr5ycPtXkTV4k65bRjmOUUP8cvGozZ33TWg5HZplvhhXbhDGzqmQDTd6OAevLeAnq3Ra9uf7zvY2zzsIhlcp/Y7m53TZgf2aB4JOg4gkr2biojmuWqfOuyJ9xu3Wz1yeyslg==
X-Mailru-Sender: 3A58916676D730AD951B46615AB674476BEF2759EC131FB15131D34C73C26A3F3120E6DF4C99E4C950C8671BB29F155466FEC6BF5C9C28D92FDFAC6E1957D35C4FEB34E26CA8F10167EA787935ED9F1B
X-Mras: Ok
X-Spam-Status: No, score=0.0 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE,SPF_HELO_PASS,SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

--MP_/Kdol6.zbho79WC3M2h.vPFC
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

I had some time to check the sources of eudev and it does not contains
the f59118e commit, that prevented the removal of the control socket on
exit[1], so I send this patch to restore the old rock solid start-up
behavior of udev

the patch is based on the Devuan unstable ed8c5770e0 commit, but please
note that it is untested, as i don't have a Devuan system, nor eudev,
but at least it shows how to do it

basically eudev is launched with --daemon argument and all the pidfile
tracking stuff is removed, because when eudev is killed by sendsigs, it
removes the control socket and dmsetup/cryptsetup will not hang trying
to connect to eudev on shutdown

ciao!

1. https://github.com/systemd/systemd/issues/2477#issuecomment-239077407

--MP_/Kdol6.zbho79WC3M2h.vPFC
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=eudev-daemon.patch

diff -urN a/eudev.init b/eudev.init
--- a/eudev.init	2020-08-11 16:55:13.809023204 +0200
+++ b/eudev.init	2020-08-11 17:06:49.737018235 +0200
@@ -11,10 +11,8 @@
 PATH="/lib/udev:/sbin:/bin"
 NAME="udevd"
 DAEMON="/sbin/udevd"
+DAEMON_ARGS="--daemon"
 DESC="hot-plug events dispatcher"
-PIDFILE="/run/udevd.pid"
-CTRLFILE="/run/udev/control"
-OMITDIR="/run/sendsigs.omit.d"
 
 # we need to unmount /dev/pts/ and remount it later over the devtmpfs
 unmount_devpts() {
@@ -166,12 +164,9 @@
     [ -x /sbin/restorecon ] && /sbin/restorecon -R /dev
 
     log_daemon_msg "Starting $DESC" "$NAME"
-    if start-stop-daemon --start --name $NAME --user root --quiet \
-	--pidfile $PIDFILE --exec $DAEMON --background --make-pidfile; then
-	# prevents udevd to be killed by sendsigs (see #261 & DEBIAN #791944)
-      mkdir -p $OMITDIR
-      ln -sf $PIDFILE $OMITDIR/$NAME
-      log_end_msg $?
+    if start-stop-daemon --start --name $NAME --exec $DAEMON --quiet \
+	-- $DAEMON_ARGS; then
+	log_end_msg $?
     else
 	log_warning_msg $?
 	log_warning_msg "Waiting 15 seconds and trying to continue anyway"
@@ -205,37 +200,19 @@
 
     stop)
     log_daemon_msg "Stopping $DESC" "$NAME"
-    if start-stop-daemon --stop --name $NAME --user root --quiet \
-			 --pidfile $PIDFILE --remove-pidfile --oknodo --retry 5; then
-	# prevents cryptsetup/dmsetup hangs ( see #261 & Debian bug #791944 )
-      rm -f $CTRLFILE
-      log_end_msg $?
-    else
-      log_end_msg $?
-    fi
+    start-stop-daemon --stop --name $NAME --quiet --oknodo --retry 5
+    log_end_msg $?
     ;;
 
     restart)
     log_daemon_msg "Stopping $DESC" "$NAME"
-    if start-stop-daemon --stop --name $NAME --user root --quiet \
-      --pidfile $PIDFILE --remove-pidfile --oknodo --retry 5; then
-      # prevents cryptsetup/dmsetup hangs ( see #261 & Debian bug #791944 )
-      rm -f $CTRLFILE
-      log_end_msg $?
-    else
-      log_end_msg $? || true
-    fi
+    start-stop-daemon --stop --name $NAME --quiet --oknodo --retry 5
+    log_end_msg $? || true
 
     log_daemon_msg "Starting $DESC" "$NAME"
-    if start-stop-daemon --start --name $NAME --user root --quiet \
-	--pidfile $PIDFILE --exec $DAEMON --background --make-pidfile; then
-      # prevents udevd to be killed by sendsigs (see #261 & DEBIAN #791944)
-      mkdir -p $OMITDIR
-      ln -sf $PIDFILE $OMITDIR/$NAME
-      log_end_msg $?
-    else
-      log_end_msg $?
-    fi
+    start-stop-daemon --start --name $NAME --exec $DAEMON --quiet \
+      -- $DAEMON_ARGS
+    log_end_msg $?
     ;;
 
     reload|force-reload)

--MP_/Kdol6.zbho79WC3M2h.vPFC--

Acknowledgement sent to Trek <trek00@inbox.ru>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Message received at 483@bugs.devuan.org:


Received: (at 483) by bugs.devuan.org; 15 Jul 2020 00:30:12 +0000
Return-Path: <trek00@inbox.ru>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Wed, 15 Jul 2020 00:30:12 +0000 (UTC)
Received: from smtp32.i.mail.ru (smtp32.i.mail.ru [94.100.177.92])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id CB5B7F609F5
	for <483@bugs.devuan.org>; Wed, 15 Jul 2020 02:20:33 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (1024-bit key; unprotected) header.d=inbox.ru header.i=@inbox.ru header.b="IpAYF65D";
	dkim-atps=neutral
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=inbox.ru; s=mail;
	h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:Subject:To:From:Date; bh=ULMYO6lKzSH7yREaWl57gYtZmJBtTv0u0wZrgCf3X14=;
	b=IpAYF65DtKhS5asuMAYLAD9tkHDFnS+1yLuXc6g/dO+NgRjzPG6QYXTPPvQZGXcpHFYfGK3WwJWp6Mfvh7UeTYSKfqVABOUNTZm9sYE3Q4OUHZXl9GlCGa76neXzKIKW8bYZ2nteh0QmgX9BJWsGm2ddGksxydx5aI1bPCwAYgE=;
Received: by smtp32.i.mail.ru with esmtpa (envelope-from <trek00@inbox.ru>)
	id 1jvVA0-0003RF-J6
	for 483@bugs.devuan.org; Wed, 15 Jul 2020 03:20:33 +0300
Date: Wed, 15 Jul 2020 02:20:31 +0200
From: Trek <trek00@inbox.ru>
To: 483@bugs.devuan.org
Subject: Re: [devuan-dev] bug#483: eudev: eudev sometimes fails to generate
 initial hotplug events
Message-ID: <20200715022031.5b70d6cc@enterprise>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Authentication-Results: smtp32.i.mail.ru; auth=pass smtp.auth=trek00@inbox.ru smtp.mailfrom=trek00@inbox.ru
X-7564579A: 646B95376F6C166E
X-77F55803: 4F1203BC0FB41BD9BB76C036EA8E79AC8C6DDDA81CAC925A1649AE829B35E875182A05F538085040F6A0A40CAD77AFA59E2668B961780382168CCFE0DDFF5AD6CB6EB1C585DDEEAB
X-7FA49CB5: FF5795518A3D127A4AD6D5ED66289B5278DA827A17800CE77E216A0E97507353EA1F7E6F0F101C67BD4B6F7A4D31EC0BCC500DACC3FED6E28638F802B75D45FF8AA50765F7900637C8BD49B17AF1FC7C8638F802B75D45FF5571747095F342E8C7A0BC55FA0FE5FC5497C9A77FE963299712C740BB32F87F183C7319AC1E723A389733CBF5DBD5E913377AFFFEAFD269A417C69337E82CC2CC7F00164DA146DAFE8445B8C89999725571747095F342E8C26CFBAC0749D213D2E47CDBA5A9658378DA827A17800CE7328B01A8D746D8839FA2833FD35BB23DF004C906525384303BDABC7E18AA350CD8FC6C240DEA76428AA50765F79006375379A718C98AB21AD81D268191BDAD3DBD4B6F7A4D31EC0B6941894150739B64D81D268191BDAD3D78DA827A17800CE7150C92592C5FE1ACEC76A7562686271E8729DE7A884B61D135872C767BF85DA29E625A9149C048EE85C08DA1A1AB276A4E672349037D5FA54AD6D5ED66289B524E70A05D1297E1BB35872C767BF85DA227C277FBC8AE2E8BD19AF6E1CF24C7A775ECD9A6C639B01B4E70A05D1297E1BBC6867C52282FAC8519DC0BE04022C72727F269C8F02392CD5571747095F342E88FB05168BE4CE3AF
X-C8649E89: 0018153DE27E29D3F94D8935E578DFDDF788989C40C97375F41F94F4B755C4EA9F9C92599D01033D
X-D57D3AED: 3ZO7eAau8CL7WIMRKs4sN3D3tLDjz0dLbV79QFUyzQ2Ujvy7cMT6pYYqY16iZVKkSc3dCLJ7zSJH7+u4VD18S7Vl4ZUrpaVfd2+vE6kuoey4m4VkSEu530nj6fImhcD4MUrOEAnl0W826KZ9Q+tr5ycPtXkTV4k65bRjmOUUP8cvGozZ33TWg5HZplvhhXbhDGzqmQDTd6OAevLeAnq3Ra9uf7zvY2zzsIhlcp/Y7m53TZgf2aB4JOg4gkr2biojB6ZTT+PDdQTNSMs/Q7KeUw==
X-Mailru-Sender: 3A58916676D730ADC314DDC012C4D32DA71ABA12D5DC87C94F0CB7F11948C7C1924EE9401F70368E408F9D7DA04F9FF7C77752E0C033A69EA8355921E71564395F2C2CDD2F1954553453F38A29522196
X-Mras: Ok
X-Spam-Status: No, score=-0.7 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,SPF_HELO_PASS,SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

adding sleep 1 is unreliable (it really depends how fast/slow is the
hardware) as you can see in debian bug #908796

the fix was to add --notify-await to start-stop-daemon without any
additional sleep

if eudev does not implement the notify protocol, then i think it should
be started with --daemon paramenter, but this could bring back the
debian bug #791944, in case eudev does not remove the control socket on
stop or if it does not creates a pidfile

in that case a new init.d script should be written to remove the control
socket just after sendsigs, in order to fix the device-mapper/cryptsetup
shutdown issue

you can see more proposed fixes/workarounds in the bugs linked, but i
give some can help if needed

ciao!

Acknowledgement sent to Trek <trek00@inbox.ru>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Message received at 483@bugs.devuan.org:


Received: (at 483) by bugs.devuan.org; 13 Jul 2020 21:20:11 +0000
Return-Path: <fsmithred@gmail.com>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 13 Jul 2020 21:20:11 +0000 (UTC)
Received: from mail-qt1-f179.google.com (mail-qt1-f179.google.com [209.85.160.179])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 51C02F6093C
	for <483@bugs.devuan.org>; Mon, 13 Jul 2020 23:11:06 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gmail.com header.i=@gmail.com header.b="dwKifyMf";
	dkim-atps=neutral
Received: by mail-qt1-f179.google.com with SMTP id a32so11219470qtb.5
        for <483@bugs.devuan.org>; Mon, 13 Jul 2020 14:11:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=subject:to:cc:references:from:message-id:date:user-agent
         :mime-version:in-reply-to:content-language;
        bh=gxqaAYudRJcciL2T02n+YYyNCDFmJM12BtVU0YRh9+o=;
        b=dwKifyMfDc0FVNojQp/usOtCAC/Y87diPOYKVBspPCBDo3dAta/zHtNsCPGZFlv37a
         K/PTC/VXsXmxjFWfNJ6hpe045I8rJK0cDOSy4ZYUGm8XMPk5dxTXlRzvBu8pYh7k/uan
         INQKbPd/loGFphKfNsZbnZnOE0rc4Lyl8IZN7vwisTrYWPOc6NVcS44zsDXmeeS8Zg2D
         aEQ+FEflLQv+v3JnWkWONYQkW/lOxjV7CcvzWQo2+yBEZCjdrGuzJAiKS/mYnFVpvGZr
         IhGhpajP3433ohxYWrSnQD5WpK0lAzIR5uTbAHGIjlXC0Ko1Sbqtdw00CD+UrZ8+cfNR
         rrxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:subject:to:cc:references:from:message-id:date
         :user-agent:mime-version:in-reply-to:content-language;
        bh=gxqaAYudRJcciL2T02n+YYyNCDFmJM12BtVU0YRh9+o=;
        b=lwWE6+nnWR0wW0B814aFa4yeol4k/JHYTbqR+sOUTrUKl2yF/dDqvBTZC0lohB0b34
         n0Z1gIciwahB5xUn7mFPMNR8pkc6lyBcn1zWg6dnM5GjRnf460euneDwr/2/E950117L
         4Q4XMhP5yCDUrJ3zDC+LKFkK/ygiQ74tHkxo4M0oU7QGEYXGgmn1XGTVeAui2oeys76J
         Obbbju95c5qkb4JeRh/zdDFSxHW+irCVORkzbCPxiljxkVcPyOREsT0sbQLMMB34Ul+J
         LV1NfvqTVVzdmgdXGFTHcs2GKt8xS3kpHRll7fq39Bfcp9XZbYHaGqbVIbI/6VSarDsZ
         wk+A==
X-Gm-Message-State: AOAM532yU3eSYqUJCxx0Z9rUsdIhI09x9G6O/q5/c4vM6ZJuOYkVZ6CV
	OXrseIq11MlIovmmgU4acq18CwcA
X-Google-Smtp-Source: ABdhPJyTMe4k0PAdx/btVU3wW6DOoReP154McEDM+uviJdzd+0z8Xv1thetKaulUHQ05I8BxUcbNxw==
X-Received: by 2002:ac8:40c3:: with SMTP id f3mr1415491qtm.176.1594674664123;
        Mon, 13 Jul 2020 14:11:04 -0700 (PDT)
Received: from [192.168.1.105] (047-014-247-068.res.spectrum.com. [47.14.247.68])
        by smtp.googlemail.com with ESMTPSA id y45sm20757082qtk.19.2020.07.13.14.11.02
        (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
        Mon, 13 Jul 2020 14:11:03 -0700 (PDT)
Subject: Re: eudev: eudev sometimes fails to generate initial hotplug events
To: svante.signell@gmail.com, David Kuehling <dvdkhlng@posteo.de>
Cc: 483@bugs.devuan.org
References: <dfa412890b6cc613315be5e6bc4d7d820a6a5390.camel@gmail.com>
From: fsmithred <fsmithred@gmail.com>
Message-ID: <b6c6a72e-74f8-eda0-c22d-9294a01a07c8@gmail.com>
Date: Mon, 13 Jul 2020 17:06:59 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <dfa412890b6cc613315be5e6bc4d7d820a6a5390.camel@gmail.com>
Content-Type: multipart/mixed;
 boundary="------------E6ED7C729C7ED5858FE13FC2"
Content-Language: en-US
X-Spam-Status: No, score=-0.2 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,
	RCVD_IN_MSPIKE_H3,RCVD_IN_MSPIKE_WL,SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

This is a multi-part message in MIME format.
--------------E6ED7C729C7ED5858FE13FC2
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

I tested the fix with 3.2.9-7 that I pulled from ceres and installed in
beowulf. Made a new live-iso, burned it to DVD and it loads all modules on
boot as it should. Looks good here.

fsmithred

--------------E6ED7C729C7ED5858FE13FC2
Content-Type: application/pgp-keys;
 name="0xA73823D3094C5620.asc"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0xA73823D3094C5620.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----
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=/7t3
-----END PGP PUBLIC KEY BLOCK-----

--------------E6ED7C729C7ED5858FE13FC2--

Acknowledgement sent to fsmithred <fsmithred@gmail.com>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Message received at 483@bugs.devuan.org:


Received: (at 483) by bugs.devuan.org; 13 Jul 2020 18:20:06 +0000
Return-Path: <svante.signell@gmail.com>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 13 Jul 2020 18:20:06 +0000 (UTC)
Received: from mail-lj1-f169.google.com (mail-lj1-f169.google.com [209.85.208.169])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id A54EBF604B7
	for <483@bugs.devuan.org>; Mon, 13 Jul 2020 20:15:11 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gmail.com header.i=@gmail.com header.b="THc2chDv";
	dkim-atps=neutral
Received: by mail-lj1-f169.google.com with SMTP id e4so19073926ljn.4
        for <483@bugs.devuan.org>; Mon, 13 Jul 2020 11:15:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=message-id:subject:from:reply-to:to:cc:date:user-agent:mime-version;
        bh=uUBn20jHkxZOhJgP4dyoLBMAwokp9PFVPjcKYEOvdU0=;
        b=THc2chDve+KO4Mv43ARgnpF33SfXjg9LMQ+cK/gsSz0Uw51ALlGnoY2uYe4Dwxcg+e
         EyJtGEYtAcpAoaQBOMKfmNjNubPIexvsRaCfDECWM6bA0ZO82pri93hOZdOe2E5vY0Be
         GlZYfNSm/jzDLhfcmVp0uGXqi/o0sQBsxdBoQ2kXKEojG6HpUCQ/YeNmV/x3GkwLatDQ
         5oCz54HHYM89IKcPu8IltIBV0aFO7PzS9DWGbhtt/jFF1JMSkqpUumPLaFc6YluraHiM
         FupLovTwcTQjJ/agmIf/H95MCDJ13W3D1fsqHCZFPI0vEGYA11ek/0H80ZcdiZTjGmdg
         lsEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:message-id:subject:from:reply-to:to:cc:date
         :user-agent:mime-version;
        bh=uUBn20jHkxZOhJgP4dyoLBMAwokp9PFVPjcKYEOvdU0=;
        b=CNofm1prQ3x6F1qPDvvAGwLCLpoz12YKnIFl0VembjrGw8qEvFovqR1UkIZdTwsdad
         bjZmb9LrVm2qWQ2oIeRozbfwBVwGWS6Ql4Hino+RBEQ73w2lmgtKCEt/emc9+fIUNkll
         16YH8GTniJLD9OiWlSSlDfWVpYK+C2rCp0Aygnq9fcq8kWrmRc8Plc6UBfOUaymPPykJ
         nEbfaHKjfCWYX/LM+6VTSL11NbLXs/JGUyxcAKdOUtkby7S91n0MxyWLZf+lDu7A8zqj
         e65aR2i7m1LaiEWliiYGQf6A9bVl/96Lqef2O8kmYPtkSzU6us81+j8zFgIa6MV8A2W0
         Xxlw==
X-Gm-Message-State: AOAM533YrxEa2xXalx2RCs4EXFk+jzzvNwWjAbNRiwDSM0aeaPM2Qk0a
	6T0zDNDNFJPEmHQbTx9p8GI=
X-Google-Smtp-Source: ABdhPJwFndD6Wr2bbG3c7Z3ekC+nm0a9rUrURNYIYGx3fO3UvLbk8Nub5mvLPT5MfYeRoNmvt7L6hw==
X-Received: by 2002:a05:651c:107a:: with SMTP id y26mr399192ljm.59.1594664110207;
        Mon, 13 Jul 2020 11:15:10 -0700 (PDT)
Received: from [192.168.32.2] ([95.202.179.231])
        by smtp.gmail.com with ESMTPSA id 144sm4760895lfm.87.2020.07.13.11.15.08
        (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
        Mon, 13 Jul 2020 11:15:09 -0700 (PDT)
Message-ID: <dfa412890b6cc613315be5e6bc4d7d820a6a5390.camel@gmail.com>
Subject: eudev: eudev sometimes fails to generate initial hotplug events
From: Svante Signell <svante.signell@gmail.com>
Reply-To: svante.signell@gmail.com
To: David Kuehling <dvdkhlng@posteo.de>, fsmithred <fsmithred@gmail.com>
Cc: 483@bugs.devuan.org
Date: Mon, 13 Jul 2020 20:16:42 +0200
Content-Type: multipart/mixed; boundary="=-+Yeqbqz4RGN8hFXCFSY+"
User-Agent: Evolution 3.30.5-1 
MIME-Version: 1.0
X-Spam-Status: No, score=-0.2 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,
	RCVD_IN_MSPIKE_H2,SPF_PASS autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org


--=-+Yeqbqz4RGN8hFXCFSY+
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

Hello,

regarding bug #483, can you try to insert the sleep 1 at the following
place, see the attached patch: eudev.init.diff.

This should apply to eudev-3.2.7-6. Since we plan to include 3.2.9-
7~beowulf1 in beowulf-proposed-updates can you please also test that
patch on eudev.init for that version. It is available from the unstable
release. Don't bother about spacing/tab changes. 

Thanks you very much for your help!


--=-+Yeqbqz4RGN8hFXCFSY+
Content-Disposition: attachment; filename="eudev.init.diff"
Content-Type: text/x-patch; name="eudev.init.diff"; charset="UTF-8"
Content-Transfer-Encoding: base64

ZGlmZiAtLWdpdCBhL2RlYmlhbi9ldWRldi5pbml0IGIvZGViaWFuL2V1ZGV2LmluaXQKaW5kZXgg
YzMyMTFhNzM2Li4xMDNhN2RmYmMgMTAwNjQ0Ci0tLSBhL2RlYmlhbi9ldWRldi5pbml0CisrKyBi
L2RlYmlhbi9ldWRldi5pbml0CkBAIC0xNjksOSArMTY5LDEwIEBAIGNhc2UgIiQxIiBpbgogICAg
IGlmIHN0YXJ0LXN0b3AtZGFlbW9uIC0tc3RhcnQgLS1uYW1lICROQU1FIC0tdXNlciByb290IC0t
cXVpZXQgXAogCS0tcGlkZmlsZSAkUElERklMRSAtLWV4ZWMgJERBRU1PTiAtLWJhY2tncm91bmQg
LS1tYWtlLXBpZGZpbGU7IHRoZW4KIAkjIHByZXZlbnRzIHVkZXZkIHRvIGJlIGtpbGxlZCBieSBz
ZW5kc2lncyAoc2VlICMyNjEgJiBERUJJQU4gIzc5MTk0NCkKLSAgICAgIG1rZGlyIC1wICRPTUlU
RElSCi0gICAgICBsbiAtc2YgJFBJREZJTEUgJE9NSVRESVIvJE5BTUUKLSAgICAgIGxvZ19lbmRf
bXNnICQ/CisJbWtkaXIgLXAgJE9NSVRESVIKKwlsbiAtc2YgJFBJREZJTEUgJE9NSVRESVIvJE5B
TUUKKwlzbGVlcCAxCisJbG9nX2VuZF9tc2cgJD8KICAgICBlbHNlCiAJbG9nX3dhcm5pbmdfbXNn
ICQ/CiAJbG9nX3dhcm5pbmdfbXNnICJXYWl0aW5nIDE1IHNlY29uZHMgYW5kIHRyeWluZyB0byBj
b250aW51ZSBhbnl3YXkiCg==


--=-+Yeqbqz4RGN8hFXCFSY+--


Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Message received at 483@bugs.devuan.org:


Received: (at 483) by bugs.devuan.org; 17 Jun 2020 22:30:03 +0000
Return-Path: <fsmithred@gmail.com>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Wed, 17 Jun 2020 22:30:03 +0000 (UTC)
Received: from mail-qt1-f182.google.com (mail-qt1-f182.google.com [209.85.160.182])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 09810F6093D
	for <483@bugs.devuan.org>; Thu, 18 Jun 2020 00:25:40 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gmail.com header.i=@gmail.com header.b="ktIjcSz3";
	dkim-atps=neutral
Received: by mail-qt1-f182.google.com with SMTP id k22so2917244qtm.6
        for <483@bugs.devuan.org>; Wed, 17 Jun 2020 15:25:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=subject:to:references:from:message-id:date:user-agent:mime-version
         :in-reply-to:content-language;
        bh=P08bxzdQNU1FBMJf03C6ua6x5QucwfpivX+AnV044D4=;
        b=ktIjcSz3S+vqwtuDKMMKMAZ9ZixzNCIPNwdb15slr5aUmCfSQkFrGVXtr5rZErRds7
         G1oA24seqILzqM97SiI9zgUR94d89Gs91FWdAskTBkMlbba2LvbRetyIpAWTRa6ouBqX
         KTvhZPJBNq2ogeV2GKWWQH6TqTvYijA7+Zxcrjw9+0FsCYcdsrviw2f5JLojmiMDWyTu
         mzGCOin6GlkEXQXFwaTSxc/arF9dDBTSJM9xCXk4+iPvBpECUQrC4plAns0SKoO6ML6w
         7Fgp/6WOthBogpaThZOGlo2CCIlJvG87be1f0Gyh0OC+dNJxbZVusSRpNAbFrbkP2G7d
         /RZw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:subject:to:references:from:message-id:date
         :user-agent:mime-version:in-reply-to:content-language;
        bh=P08bxzdQNU1FBMJf03C6ua6x5QucwfpivX+AnV044D4=;
        b=uH6vjJxxb6+42wDKJEtQHiCsGJBDfhtqf2ey6gTvBeZdWkRAyPnXXeLoB/nw2WIORe
         wPASxnEzObW35dRPFuhMqvtOn9njBav/q4+MiMbnaLWKyNwZglqStNozwlS7rnn+X2Nb
         r4yIvvajM9MpCiQOrIxQozEb9aIoXn+/9zOgSzVBzoUYsvTPmR/OC+kmHIeSzLP38TY/
         nZ/8XPTGIQods5hnnvLfb2rWFQMwNWmDvWLQRMFMUaTOb8WPtMRaIVwylIJNKYSosQdK
         rI+CD9R6RwJUxuH7D6ZpItM0XycJv/xM1JOyRoI8voGabZSqpPczcgAQd+SXvZC47TTj
         6VLw==
X-Gm-Message-State: AOAM533ohYfRrVf+7Ffi6o/YvpYe2F8mzImft+RK+Sup0TD+nzHMpU8Q
	M8XSMmVIuAcYdjTPaRzHA495N7gCZ1w=
X-Google-Smtp-Source: ABdhPJzk9IsoZ6KPfywFo8Hmc1Pe8grv4wvUKLtcGAa7FZBmbYf7SDK08rc0XW+Js7NQ5KLv26DTWA==
X-Received: by 2002:ac8:4e4a:: with SMTP id e10mr1369591qtw.203.1592432738254;
        Wed, 17 Jun 2020 15:25:38 -0700 (PDT)
Received: from [192.168.1.105] (047-014-247-068.res.spectrum.com. [47.14.247.68])
        by smtp.googlemail.com with ESMTPSA id p11sm1368010qtb.4.2020.06.17.15.25.36
        for <483@bugs.devuan.org>
        (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
        Wed, 17 Jun 2020 15:25:37 -0700 (PDT)
Subject: Re: bug#483: eudev: eudev sometimes fails to generate initial hotplug
 events
To: 483@bugs.devuan.org
References: <c359309a-2ccb-c585-0b34-414c939abe9f@gmail.com>
 <handler.483.B483.159225180331537.ackinfo@bugs.devuan.org>
From: fsmithred <fsmithred@gmail.com>
Message-ID: <8330ba53-f525-6e09-be52-4266b0750825@gmail.com>
Date: Wed, 17 Jun 2020 18:22:27 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.8.0
MIME-Version: 1.0
In-Reply-To: <handler.483.B483.159225180331537.ackinfo@bugs.devuan.org>
Content-Type: multipart/mixed;
 boundary="------------0A787EFA197F0801A11CB72A"
Content-Language: en-US
X-Spam-Status: No, score=-0.2 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,
	RCVD_IN_MSPIKE_H3,RCVD_IN_MSPIKE_WL,SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

This is a multi-part message in MIME format.
--------------0A787EFA197F0801A11CB72A
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

I tested with shorter sleep times. One second is enough when booting from dvd.

fsmithred

--------------0A787EFA197F0801A11CB72A
Content-Type: application/pgp-keys;
 name="0xA73823D3094C5620.asc"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0xA73823D3094C5620.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----
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=/7t3
-----END PGP PUBLIC KEY BLOCK-----

--------------0A787EFA197F0801A11CB72A--

Acknowledgement sent to fsmithred <fsmithred@gmail.com>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Message received at 483@bugs.devuan.org:


Received: (at 483) by bugs.devuan.org; 15 Jun 2020 20:10:03 +0000
Return-Path: <fsmithred@gmail.com>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 15 Jun 2020 20:10:03 +0000 (UTC)
Received: from mail-qk1-f195.google.com (mail-qk1-f195.google.com [209.85.222.195])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id A100CF60B11
	for <483@bugs.devuan.org>; Mon, 15 Jun 2020 22:03:41 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gmail.com header.i=@gmail.com header.b="cI/jjtA6";
	dkim-atps=neutral
Received: by mail-qk1-f195.google.com with SMTP id l17so17002070qki.9
        for <483@bugs.devuan.org>; Mon, 15 Jun 2020 13:03:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=to:from:subject:message-id:date:user-agent:mime-version
         :content-language;
        bh=ezg2xO9bJupCTap5xGBLaD49aCEKUpJn2r27hSubbEs=;
        b=cI/jjtA6UMZWNME++c61GfV86VagO6MYdC0ZOEwp4SEbXexsoO/ZTJC1MftNVJ4MBv
         KdBz3Vigg+TMyNJXI9K+gGWLTjoEQLECSBG9XhWHX+keLbPYMt7+ozZine/pJmkD6FUT
         9K99HgMqyzyJkmtynM5LHe+MQ2GXj6G+xCOs56eH9gBFDFdQvZNRtDsQQ1onHVEQDbLH
         9xNqcmylZrjxLcqlVgVQHQBbCVA2kU0HAnrcDdIMbGN1EKgropLTNkt/TmnU5liCTtrf
         n8CRKpkCwrVnFfDQ3ctNbjh73Ga+Mx4UhIPuB7X+hOOk5OqAPLSMACi53v07C2TSCGWR
         hhXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:to:from:subject:message-id:date:user-agent
         :mime-version:content-language;
        bh=ezg2xO9bJupCTap5xGBLaD49aCEKUpJn2r27hSubbEs=;
        b=qhZZ/Jr09v3bCzmo0te7ne7KEn1FyjCvopSPM9emfo+/x7EcqAH8JYCnhYHBv45n7U
         iSJ/bdorwtIPaLibifSDz5MdBDWFBOuvrEOyAY1XHJ8/Y16SPwJGhv8dFOY5ix1YiKki
         MEPzgXcLxGqazdFdjlanD2PrspQBD20XGPKX2lyH1cbCkl1BjDzaYb+8PkE4jj5d6eH9
         pYnUANbczOrNstHEsNUp3PFgcS0Qdr/CtuubQlpUQuls6nvDPIRACYauqUL+cf1mDpvz
         qVNb+zylH2kZW0D+eesuFji5jUWXJ+BJlLYRM3DDMIf0jN5AwbpoK89VyWNozy7AtATA
         J97g==
X-Gm-Message-State: AOAM5300Fy8EAtZjx6FhEcfQlWlTUApEzAzSmg1mTVwXyizNzcLpmSjE
	TJhafhWHMSxsAigOp4xGVEqFvABzN/Y=
X-Google-Smtp-Source: ABdhPJz6ZuA8Vrcl+l2ucKSFfnJg68cJPxpkb2kICMrdkqqwmBX7nVH+OOQM7pRsxuyv0Ux6wx123Q==
X-Received: by 2002:a37:2781:: with SMTP id n123mr16230391qkn.377.1592251419124;
        Mon, 15 Jun 2020 13:03:39 -0700 (PDT)
Received: from [192.168.1.105] (047-014-247-068.res.spectrum.com. [47.14.247.68])
        by smtp.googlemail.com with ESMTPSA id n130sm11682756qke.77.2020.06.15.13.03.37
        for <483@bugs.devuan.org>
        (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
        Mon, 15 Jun 2020 13:03:37 -0700 (PDT)
To: 483@bugs.devuan.org
From: fsmithred <fsmithred@gmail.com>
Subject: eudev: eudev sometimes fails to generate initial hotplug events
Message-ID: <c359309a-2ccb-c585-0b34-414c939abe9f@gmail.com>
Date: Mon, 15 Jun 2020 16:00:29 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.8.0
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="------------239A19C717F90653834FD818"
Content-Language: en-US
X-Spam-Status: No, score=-0.2 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,
	RCVD_IN_MSPIKE_H2,SPF_PASS autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

This is a multi-part message in MIME format.
--------------239A19C717F90653834FD818
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

On 6/15/20 12:15 PM, David Kuehling wrote:
>
> This is my diff:
>
> --- /etc/init.d/eudev	2019-02-09 13:22:24.000000000 +0100
> +++ /tmp/eudev	2020-06-15 17:59:00.384481497 +0200
> @@ -210,6 +210,7 @@
>  	sleep 15
>      fi
>
> +    sleep 1s
>      log_action_begin_msg "Synthesizing the initial hotplug events"
>      if udevadm trigger --action=add; then
>  	log_action_end_msg $?


This fixes a problem I'm having with live-isos booted from optical media.
It boots, but many kernel modules are missing. I used a 10-second sleep to
test, and it works.

For live-isos, the workaround I used was to stop and start eudev in
/etc/rc.local. Here's discussion about that:
https://dev1galaxy.org/viewtopic.php?pid=22137#p22137

fsmithred

--------------239A19C717F90653834FD818
Content-Type: application/pgp-keys;
 name="0xA73823D3094C5620.asc"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0xA73823D3094C5620.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----
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=/7t3
-----END PGP PUBLIC KEY BLOCK-----

--------------239A19C717F90653834FD818--

Acknowledgement sent to fsmithred <fsmithred@gmail.com>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Message received at submit@bugs.devuan.org:


Received: (at submit) by bugs.devuan.org; 15 Jun 2020 15:10:03 +0000
Return-Path: <dvdkhlng@posteo.de>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 15 Jun 2020 15:10:03 +0000 (UTC)
Received: from mout01.posteo.de (mout01.posteo.de [185.67.36.65])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 63C77F604A5
	for <submit@bugs.devuan.org>; Mon, 15 Jun 2020 17:08:48 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; secure) header.d=posteo.de header.i=@posteo.de header.b="dKuRCLqw";
	dkim-atps=neutral
Received: from submission (posteo.de [89.146.220.130]) 
	by mout01.posteo.de (Postfix) with ESMTPS id 6C61D160062
	for <submit@bugs.devuan.org>; Mon, 15 Jun 2020 17:08:42 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
	t=1592233724; bh=5xLcoFLMzhy9RvzqQmmsE8XtB1X/x8I6EYRQUHQdOWw=;
	h=From:To:Subject:Date:From;
	b=dKuRCLqwwWI18qA8HRGFrIGZBtDhsbgrBO6IcRPc7iyuKbcIG8JaBGQZ1wefzvjhq
	 +9Z8KUCwuFiQZqfkHILLvtt2YCeoVSuJQNidCMh20g38HcjUbQ3hNlLc5Opl+1He23
	 xB/D0rz0iCU9jIR9o3oGUwlMKUFfGlAZGKvUGv0Uf6zhjWGyvhdMPxvb+8jSVuGx+D
	 x/8N0G1kwUykRKEkr8YcrqEWzzciiPV4Cz7qD5fu289v+/FEZVR0EO7jEa2okbNDup
	 7mPhH7mX7EHGWASpk9y0CYOnxfCt2BFcmlDGDWwkWpal8Zyhv5ggvsGUnW5zQeRjoj
	 HG5g1bJz+yf+w==
Received: from customer (localhost [127.0.0.1])
	by submission (posteo.de) with ESMTPSA id 49lvqG3d14z6tmR
	for <submit@bugs.devuan.org>; Mon, 15 Jun 2020 17:08:38 +0200 (CEST)
From: David Kuehling <dvdkhlng@posteo.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: eudev: eudev sometimes fails to generate initial hotplug events
X-Debbugs-CC: David Kuehling <dvdkhlng@posteo.de>
Date: Mon, 15 Jun 2020 17:08:38 +0200
Message-ID: <87v9jsbc3t.fsf@snail.snail.pool>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Status: No, score=-2.5 required=5.0 tests=DKIMWL_WL_MED,DKIM_SIGNED,
	DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,RCVD_IN_DNSWL_MED,
	RCVD_IN_MSPIKE_H4,RCVD_IN_MSPIKE_WL,SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Package: eudev
Version: 3.2.7-6
Severity: normal
File: /etc/init.d/eudev

Dear Maintainer,

eudev sometimes fails to generate the initial hotplug events for one of
my systems.  The symptoms are that many required kernel modules are
missing after boot (no sound, no 3-D acceleration).

The error is not determinstic.  Sometimes the system boots up
successfully and everything works.  Sometimes the system boots up and
essential kernel modules are missing.

Doing '/etc/init.d/eudev stop' followed by '/etc/init.d/eudev start'
corrects the issue (i.e. results in all modules being loaded).  The
issue can also be corrected by manually running 'udevadm trigger
--action=add'.

The actual root cause seems to be a race condition in the
/etc/init.d/eudev startup script: The script first starts eudev via
start-stop-daemon, then calls 'udevadm trigger --action=add'.

On the system in question, after modifying the script, adding 'sleep 1s'
after start-stop-daemon, the startup now succeeded all the (two) times I
tried.

Note that the system in question runs from a root partition that resides
on a NBD-devices, so startup times of eudev may be very different from a
normal HDD-based system, thereby amplifying the likelhood of the race.

I have no clear idea how a proper fix for that race would look like.
Clearly 'start-stop-daemon --background' does NOT wait for the daemon to
be operational and looks like the wrong approach.  Maybe running
start-stop-daemon without "--background" and depending on eudev's
"--daemon" option is better?  Does eudev support using
start-stop-daemon's --notify-await command?  Should we run 'udevadm
trigger' in a loop until it succeeds?


-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-9-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages eudev depends on:
ii  adduser      3.118
ii  debconf      1.5.71
ii  libblkid1    2.33.1-0.1+devuan1~beowulf2
ii  libc6        2.28-10
ii  libeudev1    3.2.7-6
ii  libkmod2     26-1
ii  libselinux1  2.8-1+b1
ii  lsb-base     10.2019051400
ii  procps       2:3.3.15-2+devuan1
ii  util-linux   2.33.1-0.1+devuan1~beowulf2

eudev recommends no packages.

eudev suggests no packages.

-- no debconf information


Acknowledgement sent to David Kuehling <dvdkhlng@posteo.de>:
New bug report received and forwarded. Copy sent to dvdkhlng@posteo.de, Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Report forwarded to devuan-bugs@lists.dyne.org, dvdkhlng@posteo.de, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#483; Package eudev. Full text available.

Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri, 21 Jan 2022 10:39:01 UTC